## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaBlock Class Template Reference

`#include <ReusableArenaBlock.hpp>`

Inheritance diagram for ReusableArenaBlock:

[legend]
Collaboration diagram for ReusableArenaBlock:

[legend]
List of all members.

## Public Types

- typedef ArenaBlock<ObjectType> BaseClassType
- typedef BaseClassType::size_type size_type

## Public Methods

- ReusableArenaBlock (size_type theBlockSize)
- ~ReusableArenaBlock ()
- virtual ObjectType* allocateBlock ()
- virtual void commitAllocation (ObjectType *theBlock)
- virtual bool blockAvailable () const
- virtual size_type getCountAllocated () const
- virtual bool ownsObject (const ObjectType *theObject) const
- void destroyObject (ObjectType *theObject)

## Protected Methods

- virtual bool shouldDestroyBlock (const ObjectType *theObject) const

### template<class ObjectType> class ReusableArenaBlock

## Member Typedef Documentation

template<class ObjectType>
typedef ArenaBlock< ObjectType > ReusableArenaBlock<ObjectType>::BaseClassType<ObjectType>

template<class ObjectType>
typedef BaseClassType::size_type ReusableArenaBlock<ObjectType>::size_type

| Reimplemented from ArenaBlock.

## Constructor & Destructor Documentation

template<class ObjectType>
ReusableArenaBlock<ObjectType>::ReusableArenaBlock<ObjectType> ( | size_type theBlockSize )

template<class ObjectType>
ReusableArenaBlock<ObjectType>::~ReusableArenaBlock<ObjectType> ( | )

## Member Function Documentation

template<class ObjectType>
ObjectType * ReusableArenaBlock<ObjectType>::allocateBlock ( | )`[virtual]`

| Reimplemented from ArenaBlock.

template<class ObjectType>
bool ReusableArenaBlock<ObjectType>::blockAvailable ( | ) const`[virtual]`

| Reimplemented from ArenaBlock.

template<class ObjectType>
void ReusableArenaBlock<ObjectType>::commitAllocation ( | ObjectType * theBlock )`[virtual]`

| Reimplemented from ArenaBlock.

template<class ObjectType>
void ReusableArenaBlock<ObjectType>::destroyObject ( | ObjectType * theObject )

template<class ObjectType>
size_type ReusableArenaBlock<ObjectType>::getCountAllocated ( | ) const`[virtual]`

| Reimplemented from ArenaBlock.

template<class ObjectType>
bool ReusableArenaBlock<ObjectType>::ownsObject ( | const ObjectType * theObject ) const`[virtual]`

| Reimplemented from ArenaBlock.

template<class ObjectType>
bool ReusableArenaBlock<ObjectType>::shouldDestroyBlock ( | const ObjectType * theObject ) const`[protected, virtual]`

| Reimplemented from ArenaBlock.

The documentation for this class was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.